using System;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZooContracts.StoragesContracts
{
    public interface IRouteCostStorage
    {
        List<RouteCostViewModel> GetFullList();
        List<RouteCostViewModel> GetFilteredList(RouteCostSearchModel model);
        RouteCostViewModel GetElement(RouteCostSearchModel model);
        RouteCostViewModel? Insert(RouteCostBindingModel model);
        RouteCostViewModel? Update(RouteCostBindingModel model);
        RouteCostViewModel? Delete(RouteCostBindingModel model);
        List<ReportCostsInRoutesViewModel> GetExpensesInCircles(RouteCostSearchModel model);
    }
}
